For the complete documentation index, see llms.txt. This page is also available as Markdown.

Purchase order endpoints

Create purchase order

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

PurchaseOrderForCreation

cancelledbooleanOptionalDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstring · min: 1RequiredExample: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
orderDatestring · date-timeRequired

Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptionalPossible values:
Responses
201

Created Purchase Order entity

application/json

PurchaseOrder

cancelledbooleanRequiredDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired
idstringRequired
inboundProcessRefstringRequired
lastModifiedstring · date-timeRequired
orderDatestring · date-timeRequired

Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.

Example: 2026-06-17T12:00:00.000Z
statusstring · enumRequiredPossible values:
versionnumberRequired
post/api/purchaseorders
POST /api/purchaseorders HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 343

{
  "customAttributes": {},
  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  }
}
{
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "facilityRef": "text",
  "id": "text",
  "inboundProcessRef": "text",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  },
  "transfer": {
    "id": "text"
  },
  "version": 1
}

Get purchase order

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
purchaseOrderIdstringRequired
Responses
200

Purchase Order entity

application/json

PurchaseOrder

cancelledbooleanRequiredDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired
idstringRequired
inboundProcessRefstringRequired
lastModifiedstring · date-timeRequired
orderDatestring · date-timeRequired

Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.

Example: 2026-06-17T12:00:00.000Z
statusstring · enumRequiredPossible values:
versionnumberRequired
get/api/purchaseorders/{purchaseOrderId}
GET /api/purchaseorders/{purchaseOrderId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "facilityRef": "text",
  "id": "text",
  "inboundProcessRef": "text",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  },
  "transfer": {
    "id": "text"
  },
  "version": 1
}

Updates purchase order

patch

Partially updates a Purchase Order using a selection of fields

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
purchaseOrderIdstringRequired
Body

PurchaseOrderForPartialUpdate

cancelledbooleanOptionalDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

orderDatestring · date-timeOptionalExample: 2026-06-17T12:00:00.000Z
statusstring · enumOptionalPossible values:
versionnumberRequired
Responses
200

Updated Purchase Order entity

application/json

PurchaseOrder

cancelledbooleanRequiredDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired
idstringRequired
inboundProcessRefstringRequired
lastModifiedstring · date-timeRequired
orderDatestring · date-timeRequired

Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.

Example: 2026-06-17T12:00:00.000Z
statusstring · enumRequiredPossible values:
versionnumberRequired
patch/api/purchaseorders/{purchaseOrderId}
PATCH /api/purchaseorders/{purchaseOrderId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 302

{
  "customAttributes": {},
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  },
  "version": 1
}
{
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "facilityRef": "text",
  "id": "text",
  "inboundProcessRef": "text",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  },
  "transfer": {
    "id": "text"
  },
  "version": 1
}

Update purchase order

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
purchaseOrderIdstringRequired
Body

PurchaseOrderForUpdate

cancelledbooleanOptionalDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

orderDatestring · date-timeRequired

Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptionalPossible values:
versionnumberRequired
Responses
200

Updated/created Purchase Order entity

application/json

PurchaseOrder

cancelledbooleanRequiredDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired
idstringRequired
inboundProcessRefstringRequired
lastModifiedstring · date-timeRequired
orderDatestring · date-timeRequired

Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.

Example: 2026-06-17T12:00:00.000Z
statusstring · enumRequiredPossible values:
versionnumberRequired
put/api/purchaseorders/{purchaseOrderId}
PUT /api/purchaseorders/{purchaseOrderId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 302

{
  "customAttributes": {},
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  },
  "version": 1
}
{
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "facilityRef": "text",
  "id": "text",
  "inboundProcessRef": "text",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  },
  "transfer": {
    "id": "text"
  },
  "version": 1
}

Last updated

Was this helpful?